Skip to main content
GET
/
v1
/
google
/
hotels
/
search
Search Google Hotels
curl --request GET \
  --url https://scrapebadger.com/v1/google/hotels/search \
  --header 'x-api-key: <api-key>'
import requests

url = "https://scrapebadger.com/v1/google/hotels/search"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://scrapebadger.com/v1/google/hotels/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "pagination": {
    "current": 1,
    "next": "<string>",
    "total_results": 123,
    "total_pages": 123,
    "page_no": {}
  },
  "properties": [
    {
      "name": "<string>",
      "description": "<string>",
      "address": "<string>",
      "gps_coordinates": {
        "lat": 123,
        "lng": 123
      },
      "hotel_class": 123,
      "eco_certified": false,
      "check_in_time": "<string>",
      "check_out_time": "<string>",
      "overall_rating": 123,
      "reviews_count": 123,
      "rate_per_night": {
        "lowest": 123,
        "extracted": 123,
        "currency": "<string>"
      },
      "total_rate": {
        "lowest": 123,
        "extracted": 123,
        "currency": "<string>"
      },
      "prices": [
        {
          "source": "<string>",
          "price": 123,
          "currency": "<string>",
          "link": "<string>",
          "cancellation_policy": "<string>"
        }
      ],
      "nearby_places": [
        {
          "name": "<string>",
          "transport": "<string>",
          "duration": "<string>"
        }
      ],
      "amenities": [
        "<string>"
      ],
      "images": [
        "<string>"
      ],
      "property_token": "<string>",
      "thumbnail": "<string>"
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

x-api-key
string
header
required

Query Parameters

q
string
required

Location or hotel name

check_in
string
required

Check-in date (YYYY-MM-DD)

check_out
string
required

Check-out date (YYYY-MM-DD)

adults
integer
default:2

Number of adults

Required range: 1 <= x <= 10
children
integer
default:0

Number of children

Required range: 0 <= x <= 10
currency
string
default:USD

Currency code

gl
string
default:us

Country code

hl
string
default:en

Language code

sort_by
string | null

Sort: price_low, rating_high, most_reviewed

min_price
integer | null

Minimum price

max_price
integer | null

Maximum price

hotel_class
integer | null

Star rating

Required range: 2 <= x <= 5
next_page_token
string | null

Pagination token

Response

Successful Response

Response for GET /api/v1/hotels/search.

pagination
Pagination · object
required

Pagination metadata.

properties
HotelProperty · object[]